> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# OnPage API Microdata

> This endpoint is designed to validate structured JSON-LD data and Microdata.



## OpenAPI

````yaml openapi/dataforseo.json POST /dataforseo/on_page/microdata
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/on_page/microdata:
    post:
      summary: OnPage API Microdata
      description: >-
        This endpoint is designed to validate structured JSON-LD data and
        Microdata. Using this function you will obtain microdata available on
        the specified page of the target website and detailed results of its
        validation.
      operationId: post_dataforseo_on_page_microdata
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: >-
                    ID of the task required field you can get this ID in the
                    response of the Task POST endpoint example:
                    "07131248-1535-0216-1000-17384017ad04"
                url:
                  type: string
                  description: >-
                    resource URL required field you can get this URL in the
                    response of the Pages endpoint example:
                    https://dataforseo.com/apis
                tag:
                  type: string
                  description: >-
                    user-defined task identifier optional field the character
                    limit is 255 you can use this parameter to identify the task
                    and match it with the result you will find the specified tag
                    value in the data object of the response
              required:
                - id
                - url
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here Note: we strongly recommend designing
                      a necessary system for handling related exceptional or
                      error conditions
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasks array
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array returned with an
                      error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      task identifier unique task identifier in our system in
                      the UUID format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes here
                  tasks.status_message:
                    type: string
                    description: >-
                      informational message of the task you can find the full
                      list of general informational messages here
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: >-
                      contains the same parameters that you specified in the
                      POST request
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: array of results
                  tasks.result.crawl_progress:
                    type: string
                    description: >-
                      status of the crawling session possible values:
                      in_progress, finished
                  tasks.result.crawl_status:
                    type: object
                    description: details of the crawling session
                  tasks.result.crawl_status.max_crawl_pages:
                    type: integer
                    description: >-
                      maximum number of pages to crawl indicates the
                      max_crawl_pages limit you specified when setting a task
                  tasks.result.crawl_status.pages_in_queue:
                    type: integer
                    description: number of pages that are currently in the crawling queue
                  tasks.result.crawl_status.pages_crawled:
                    type: integer
                    description: number of crawled pages
                  tasks.result.test_summary:
                    type: object
                    description: microdata validation test results
                  tasks.result.test_summary.fatal:
                    type: integer
                    description: number of fatal microdata errors
                  tasks.result.test_summary.error:
                    type: integer
                    description: number of serious microdata errors
                  tasks.result.test_summary.warning:
                    type: integer
                    description: number of microdata warnings
                  tasks.result.test_summary.info:
                    type: integer
                    description: number of microdata information flags
                  tasks.result.items_count:
                    type: integer
                    description: number of items in the results array
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: items array
                  tasks.result.type:
                    type: string
                    description: type of the item = ‘json_ld’
                  tasks.result.inspection_info:
                    type: object
                    description: information related to microdata validation
                  tasks.result.inspection_info.types:
                    type: array
                    items:
                      type: string
                    description: >-
                      parent microdata types for a full list of available types,
                      please visit schema.org
                  tasks.result.inspection_info.fields:
                    type: array
                    items:
                      type: string
                    description: >-
                      microdata fields an array of objects containing data
                      fields related to the certain microdata type
                  tasks.result.inspection_info.fields.name:
                    type: string
                    description: field name name of the data field
                  tasks.result.inspection_info.fields.types:
                    type: array
                    items:
                      type: string
                    description: list of microdata sub-types
                  tasks.result.inspection_info.fields.value:
                    type: array
                    items:
                      type: string
                    description: >-
                      microdata value microdata value specified on a target web
                      page
                  tasks.result.inspection_info.fields.test_results:
                    type: object
                    description: >-
                      microdata validation test results sub-type microdata test
                      results that contain detected errors and related messages
                  tasks.result.inspection_info.fields.test_results.level:
                    type: string
                    description: >-
                      level of microdata error can take the following values:
                      fatal, error, warning, info
                  tasks.result.inspection_info.fields.test_results.message:
                    type: string
                    description: >-
                      message associated with an error message providing the
                      details of the detected error
                  tasks.result.inspection_info.fields.fields:
                    type: array
                    items:
                      type: string
                    description: >-
                      microdata fields an array of objects containing data
                      fields related to the certain microdata type
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````